import Sleep from '../components/sleep'

export default function Manual(props) {
  return <div>{renderMaual()}</div>
}

function renderMaual() {
  return (
    <div>
      <center>
        <h1>Manual</h1>
      </center>
      <Sleep />
      <center>
        Ez a userscript Moodle/Elearnig/KMOOC tesztek megoldása során segítséget
        jelenít meg.
        <h2>
          Ha az oldalt vagy a scriptet használod: akármikor észrevehetik,
          leállhat a szerver, és rossz lehet az összes válasz
        </h2>
        Valószínűleg semmi baj nem lesz, de én szóltam. Ha ez iránt aggódsz,
        olvasd el a kockázatok részt
      </center>
      <center>
        <h1>Userscript használata</h1>
      </center>
      <hr />
      <table
        style={{ tableLayout: 'fixed', verticalAlign: 'top', width: '100%' }}
      >
        <tbody>
          <tr>
            <td>
              <ul>
                <li>
                  Tölts le egy userscript futtató kiegészítőt a böngésződhöz:{' '}
                  <a href="https://www.tampermonkey.net/" target="_blank">
                    Tampermonkey
                  </a>
                </li>
                <li>
                  <a
                    href="http://qmining.frylabs.net/install?man"
                    target="_blank"
                  >
                    Weboldalról
                  </a>{' '}
                  rakd fel a scriptet
                </li>
                <li>
                  Script majd udvariasan megkéri, hogy hagy beszélgessen a
                  szerverrel, mert mással nem tud, ezt engedélyezd.
                </li>
                <li>
                  Ezután:
                  <ul>
                    <li>
                      Teszt oldalon a kérdésre a választ kell látnod felül egy
                      felugró ablakszerűben
                    </li>
                    <li>
                      Teszt ellenőrzés oldalon a script beküldi a szervernek a
                      helyes válaszokat, az lementi az új kérdéseket, amik
                      ezután azonnal elérhetők lesznek
                    </li>
                  </ul>
                </li>
              </ul>
              Egyéb fontos tudnivalók:
              <ul>
                <li>
                  Ezt ments sokszor akár minden nap:{' '}
                  <a
                    href="http://qmining.frylabs.net/allqr.txt?man"
                    target="_blank"
                  >
                    {' '}
                    Összes kérdés TXT
                  </a>{' '}
                  (ha elszállna a szerver)
                </li>
                <li>
                  <a
                    href="https://qmining.frylabs.net/allQuestions.html"
                    target="_blank"
                  >
                    Összes kérdés oldal
                  </a>
                  , ahol manuál tudsz keresni ha valami gáz lenne a scriptel
                </li>
              </ul>
              <p /> Egyéb funkciók:
              <ul>
                <li>
                  Ha esetleg videókat nézel, akkor spaceval lehet play/pausolni,
                  és jobbra/balra gombbal ugrani a videóban.
                </li>
              </ul>
            </td>
            <td width="40%" style={{ textAlign: 'center' }}>
              <img style={{ maxWidth: '100%' }} src="img/rtfm.jpg" alt="img" />
            </td>
          </tr>
        </tbody>
      </table>
      <center>
        <h1>Jelszavak</h1>
      </center>
      <hr />
      Ha ezt olvasod valszeg már van neked egy. Azért lett bevezetve, hogy
      nagyjából zárt legyen a felhasználók köre
      <ul>
        <li>Minden felhasználónak más jelszava van</li>
        <li>
          Elvileg elég csak 1 szer beírnod, és nem kell többet, de{' '}
          <b>mentsd le biztos helyre a jelszót, hogy később is meglegyen!</b> Ha
          többször kell akkor az bug,{' '}
          <a href="http://qmining.frylabs.net/feedback?man" target="_blank">
            és szólj
          </a>
        </li>
        <li>
          <b>
            Jelenleg nincs 'elfelejtett jelszó' funkció, ha elfelejted akkor az
            örökre eltűnik!
          </b>
        </li>
        <li>
          Ha van jelszavad akkor bizonyos határok között{' '}
          <a href="https://qmining.frylabs.net/pwRequest?man" target="_blank">
            te is tudsz generálni másoknak
          </a>
          (ncore style).
        </li>
        <li>
          Saját jelszavad ne oszd meg, belépésnél máshonnan azonnal ki leszel
          jelentkeztetve, és minek ha tudsz adni amúgy is
        </li>
        <li>
          Mivel felhasználóneved nincs, így teljesen anoním az egész. Ez miatt
          jelszót nem lehet megváltoztatni, hogy a szükséges komplexitás
          megmaradjon
        </li>
      </ul>
      <center>
        <h1>Gyakran előforduló kérdések</h1>
      </center>
      <hr />
      <ul>
        <li>
          <b>
            Olyan helyeken fut le a script, ahol nem kellene, vagy ideiglenesen
            ki akarod kapcsolni
          </b>
          <br /> Tampermonkey bővitmény ikon -{'>'} click -{'>'} scriptet
          kapcsold ki. Csak ne felejtsd visszakapcsolni ;)
        </li>
        <p />
        <li>
          <b>
            Túl nagy a kérdést és a választ megjelenítő ablak, nem tudok a
            válaszra kattintani
          </b>
          <br /> Zommolj ki egy kicsit, vagy kapcsold ki addig a scriptet.
          Továbbá középső egérgombra kattintva rá el bírod tüntetni az ablakot,
          amíg újra nem töltöd az oldalt, vagy másikra ugrasz.
        </li>
        <p />
        <li>
          <b>Mi ez a ... ?</b>
          <br />
          <img style={{ maxWidth: '100%' }} src="img/imgq.jpg" alt="img" />
        </li>
        <li>
          <b>Gombok, %-ok, számok</b>
          <br />
          <img style={{ maxWidth: '100%' }} src="img/6.png" alt="img" />
        </li>
        <li>
          <b id="sitesave">Weboldal lementése</b>
          <br />
          Hogy a hibákat a saját gépemen reprodukálni tudjam, és könnyen ki
          bírjam javítani sokszor jól jön ha egy lementett weboldalt megkapok.
          Így lehet letölteni egy oldalt:
          <img
            style={{ maxWidth: '100%' }}
            src="img/websitesave.png"
            alt="img"
          />
          <br />
          <a href="http://qmining.frylabs.net/feedback?man" target="_blank">
            Ide tudod feltölteni
          </a>
          <br />
          Mivel nincs hozzáférésem semmilyen egyetemi oldalhoz, így csak így
          tudom hatékonyan tesztelni a scriptet. Ezért hatalmas segítség ha
          feltöltöd azt az oldalt amin hibával találkozol.
        </li>
        <p />
      </ul>
      <hr />
      <center>
        <h1>Kockázatok</h1>
      </center>
      <ul>
        <li>
          <b>Bármikor észrevehetik hogy használod a scriptet</b>
          <br />
          A weboldalt már kevésbé, de úgy nem menti el a kérdéseket a script,
          mert nem fut. Később manuálisan is be lehet majd küldeni
          kérdés-válaszokat.
          <p />
          Ha arra nem veszik a fáradságot, hogy a kérdéseket lecseréljék akkor
          valószínűleg arra se hogy userscript futását detektáló kódot rakjanak
          a weboldalra. A{' '}
          <a href="https://moodle.org/" target="_blank">
            Moodle
          </a>{' '}
          egy nyílt forráskódú, valószínűleg self-hosted rendszer. Valószínűleg
          az egyetem egy ezer éves debian szerverén fut, amihez senki se mer
          nyúlni, nemhogy a moodle-t frissítse valaki.
          <p />
          A script shadow-root hoz teszi hozzá az összes megjelenített
          elementet, így ezeket szinte lehetetlen detektálni. A moodle
          semmiféleképpen nem látja, hogy milyen más oldalak vannak megnyitva a
          böngésződben. Nem látja az XMLHttp requesteket se, amit a script
          végez. Egy Matomo nevű script látja hogy milyen oldalarka navigálsz a
          moodle-ről, de a script nem linkekkel irányít át, hanem javascript
          eseménnyel, amit nem tud nyomon követni.
          <p />
          Aztán ki tudja ténylegesen hogy lehet
        </li>
        <li>
          <b>Bármikor leállhat a szerver</b>
          <br />
          És akkor nem bírod megnézni a válaszokat. Erre van az{' '}
          <a href="http://qmining.frylabs.net/allqr.txt?man" target="_blank">
            {' '}
            összes kérdés TXT
          </a>
        </li>
        <li>
          <b>Akármelyik válasz rossz lehet</b>
          <br />
          Pl.: ha a script rosszul menti le, vagy rossz kérdésre ad választ
        </li>
      </ul>
      <hr />
    </div>
  )
}
